### Function

# Vips error_system

#### Declaration [src]

    void
    vips_error_system (
      int err,
      const char* domain,
      const char* fmt,
      ...
    )

#### Description [src]

Format the string in the style of `printf()` and append to the error buffer. Then create and append a localised message based on the system error code, usually the value of errno.

See also

`vips_verror_system()`.

This function is not directly available to language bindings.

#### Parameters

`err`

  Type: `int`

  The system error code.

`domain`

  Type: `const char*`

  The source of the error.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`fmt`

  Type: `const char*`

  `printf()`-style format string for the error.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments to the format string.